SELECT
        a.ad_id,
        c.action_id,
        a.status as ad_status,
        (a.list_time AT TIME ZONE 'america/santiago') AT TIME ZONE 'UTC' as ad_list_time,
        (a.orig_list_time AT TIME ZONE 'america/santiago') AT TIME ZONE 'UTC' as ad_orig_list_time,
        a.lang as ad_lang,
        d.email as ad_email,
        c.remote_addr as ad_remote_addr,
        (e.modified_at AT TIME ZONE 'america/santiago') AT TIME ZONE 'UTC' as ad_modified_at,
        (c.timestamp AT TIME ZONE 'america/santiago') AT TIME ZONE 'UTC' as ad_created_at,
        e.action_type as ad_action_type
FROM
        ads a
JOIN ad_actions b USING(ad_id)
JOIN users d USING(user_id)
LEFT JOIN action_states c USING(ad_id, action_id)
LEFT JOIN (
        SELECT
                ad_id,
                timestamp as modified_at,
                action_type
        FROM
                action_states a
        LEFT JOIN ad_actions b using(ad_id, action_id)
        WHERE
                a.ad_id = <%%ad_id%>
        AND
                a.state = 'reg'
        AND
                b.action_type in  ('edit', 'adminedit')
        ORDER BY modified_at DESC limit 1
) e USING(ad_id)
WHERE
        a.ad_id = <%%ad_id%>
AND transition = 'initial'
AND c.state = 'reg'
AND b.action_type = 'new'
ORDER BY c.action_id, c.timestamp DESC
LIMIT 1;
